Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619087 - sandbox service has no description
sandbox service has no description
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-28 10:30 EDT by Denys Vlasenko
Modified: 2011-02-18 16:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 16:16:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denys Vlasenko 2010-07-28 10:30:39 EDT
There is a typo in description line: letter D must not be uppercase.
It should look like

# description:	blah blah

then "blah blah" will show up in System->Administration->Services GUI tool.

Also please make this description meaningful for the people which did not spend last decade hacking on selinux. E.g. it should answer questions like: "when can I safely turn this service off?", "When I have to have it on?"
Comment 1 Daniel Walsh 2010-07-28 11:16:17 EDT
How is this?
# description: sandbox, xguest and other apps that want to use pam_namespace
#              require this script be run at boot.  This service script does 
#              not actually run any service but sets up /var/tmp, /tmp and home 
#              directories to be used by these tools.
#              If you do not use sandbox, xguest or pam_namespace you can turn 
#              this service off.
#
Comment 2 Denys Vlasenko 2010-07-29 09:49:23 EDT
with this change, System->Administration->Services tool shows:

Description:
------------------------------------------------------------
|sandbox and other apps that want to use pam_namespace
|
|
------------------------------------------------------------

IOW: not even close to something useful
Comment 3 Daniel Walsh 2010-07-29 10:11:03 EDT
# description: sandbox, xguest and other apps that want to use pam_namespace \
#              require this script be run at boot.  This service script does \
#              not actually run any service but sets up: \
#              /var/tmp, /tmp and home directories to be used by these tools.\
#              If you do not use sandbox, xguest or pam_namespace you can turn \
#              this service off.\
#

This is what is in Rawhide and RHEL6 now.
Comment 4 Denys Vlasenko 2010-07-29 11:07:48 EDT
Yes, adding backslashes fixes description (as shown by System->Administration->Services) in F13 too.

Note You need to log in before you can comment on or make changes to this bug.